FVWM-THEMES-START(1)

NAME
fvwm-themes-start - FVWM Themes starter

SYNOPSIS
fvwm-themes-start [ --session|-s name ] [ --no-start|-n ] [ --fvwm-exe|-e ] [ -- fvwm-args ]

DESCRIPTION
This script runs fvwm with FVWM Themes. It should be run under X. Put a call to this script as the last line of your .Xclients, .xinitrc or .xsession file.

OPTIONS
--session name - name of the FVWM Themes session. By default it is "main". This allows to have and run different FVWM Themes configuration. --no-start - do not start fvwm, just do preparation for starting it. This is useful to start FVWM Themes with a session manager, see FAQ. --fvwm-exe - changes the default executable, which is fvwm or whatever fvwm-config --fvwm-exe returns. -- everything after -- is passed to FVWM. See the fvwm(1) man page for the fvwm options.

EXAMPLES
Most users just should put:

	fvwm-themes-start

as the last line of their .Xclients, .xinitrc or .xsession file. If you want to use FVWM Themes with a real session manager, say GNOME, you need to use the --no-start option and put:

	fvwm-themes-start --no-start
	gnome-session

as the last lines of your .Xclients, .xinitrc or .xsession file. The session option allows to use FVWM Themes with different configurations. Say, you want to use 3 different configurations under a normal FVWM session when FOO test is false, under gnome-session and under a normal FVWM session when FOO test is true. Then, your .xinitrc/.xsession file may look as follows (where $1 is the "first" argument given by startx, or by kdm or gdm ...):

	...
	case $1 in
	  fvwm)
	    if FOO; Then
	      fvwm-themes-start --session special
	    else
	      fvwm-themes-start
       fi
	  ;;
	  gnome)
	    fvwm-themes-start --session gnome --no-start
	    gnome-session
	  ;;
	  ... other cases ...
	esac

Note that with most session managers (e.g., GNOME or XSM) it is preferable to give "fvwm -f themes-rc" as the starting window manager command in the session manager.

COPYING
The script is distributed by the same terms as fvwm-themes itself. See GNU General Public License for details.

BUGS
Report bugs to fvwm-themes-devel@lists.sourceforge.net.